package com.zd.chemical.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 化学品和机柜关联表查询过滤条件对象 hxp_chemical
 *
 * @author cyl
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联表查询过滤条件")
public class HxpChemicalJoinCabinetSearch {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    @ApiModelProperty(value = "状态")
    private Integer status;

    private Long chemicalId;

    private Long userId;

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getChemicalId() {
        return chemicalId;
    }

    public void setChemicalId(Long chemicalId) {
        this.chemicalId = chemicalId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
